.reorder_product_wrapper {
  padding: 10px;
}
.reorder_product_wrapper .reorder_top {
  display: flex;
  gap: 20px;
}
.reorder_product_wrapper .product_img {
  width: 110px;
  height: 145px;
  border-radius: 8px;
  object-fit: cover;
}
.reorder_product_wrapper .product_content {
  flex: 1;
}
.reorder_product_wrapper .product_header {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}
.reorder_product_wrapper .title {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 5px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.reorder_product_wrapper .desc {
  color: #2d2d2d;
  margin-bottom: 0px;
  font-size: 15px;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.reorder_product_wrapper .rating_wrap {
  display: flex;
  align-items: center;
  margin-top: 4px;
}
.reorder_product_wrapper .rating_wrap span {
  color: #666;
  font-size: 14px;
  margin-left: 8px;
}
.reorder_product_wrapper .price_unit {
  text-align: right;
}
.reorder_product_wrapper .price_unit .price {
  color: #ee4823;
  font-size: 16px;
  font-weight: 500;
  white-space: nowrap;
  margin: 0;
}
.reorder_product_wrapper .price_unit span {
  color: #777;
  font-size: 14px;
}
.reorder_product_wrapper .preference_section,
.reorder_product_wrapper .qty_section,
.reorder_product_wrapper .footer_price {
  margin-top: 15px;
  padding-top: 20px;
  border-top: 1px dashed #cfcfcf;
}
.reorder_product_wrapper .preference_section .label,
.reorder_product_wrapper .qty_section .label {
  font-size: 15px;
  font-weight: 600;
  margin-bottom: 10px;
}
.reorder_product_wrapper .preference_section p {
  margin-bottom: 10px;
  color: #555;
}
.reorder_product_wrapper .qty_section .form-select {
  height: 48px;
  border-radius: 30px;
  background-color: #f5f5f5;
  border: none;
  box-shadow: none;
}
.reorder_product_wrapper .footer_price {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.reorder_product_wrapper .footer_price .final-price {
  color: #ee4823;
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 0px;
}
.reorder_product_wrapper .footer_price span {
  color: #999;
  font-size: 12px;
  font-weight: 400;
}
.reorder_product_wrapper .footer_price .qty {
  color: #000000;
  margin: 0;
  font-size: 14px;
  margin-top: 5px;
}
.reorder_product_wrapper .reorder_btn {
  min-width: 180px;
}

@media (min-width: 992px) and (max-width: 1199.98px) {
  .reorder_product_wrapper .title {
    font-size: 17px;

    margin-bottom: 3px;
  }
}

@media (min-width: 0px) and (max-width: 991.98px) {
  .reorder_product_wrapper .title {
    font-size: 15px;
  }
  .reorder_product_wrapper .price_unit .price {
    font-size: 14px;
  }
  .reorder_product_wrapper .desc {
    font-size: 13px;
  }
  .reorder_product_wrapper .preference_section .label,
  .reorder_product_wrapper .qty_section .label {
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 6px;
  }
  .reorder_product_wrapper .preference_section,
  .reorder_product_wrapper .qty_section,
  .reorder_product_wrapper .footer_price {
    margin-top: 12px;
    padding-top: 12px;
  }
  .reorder_product_wrapper .preference_section p {
    margin-bottom: 4px;
  }
  .reorder_product_wrapper .reorder_top {
    gap: 15px;
  }
  .reorder_product_wrapper {
    padding: 2px;
  }
  .reorder_product_wrapper .common-yellow-btn {
    padding: 5px 17px;
  }
  .reorder_product_wrapper .footer_price .final-price {
    font-size: 18px;
  }
  .reorder_product_wrapper .footer_price .qty {
    font-size: 13px;
  }
  .reorder_product_wrapper .rating_wrap svg {
    width: 20px !important;
    height: 20px !important;
  }
  .reorder_product_wrapper .rating_wrap span {
    font-size: 13px;
    margin-top: 5px;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .reorder_product_wrapper .reorder_top {
    gap: 8px;
    flex-direction: column;
  }
  .reorder-product-modal .modal-body {
    padding: 10px;
  }
  .reorder_product_wrapper .product_img {
    width: 131px;
    height: 115px;
    border-radius: 6px;
  }
  .reorder_product_wrapper .price_unit .price {
    font-size: 13px;
  }
  .reorder_product_wrapper .price_unit span {
    font-size: 12px;
  }
  .reorder_product_wrapper .title {
    margin-bottom: 0px;
  }
  .reorder_product_wrapper .desc {
    line-height: 1.2;
  }
  .reorder_product_wrapper .preference_section,
  .reorder_product_wrapper .qty_section,
  .reorder_product_wrapper .footer_price {
    margin-top: 10px;
    padding-top: 10px;
  }
  .reorder_product_wrapper .footer_price {
    flex-wrap: wrap;
    gap: 5px;
  }
  .reorder_product_wrapper .footer_price .final-price {
    font-size: 16px;
  }
  .reorder_product_wrapper .footer_price .qty {
    font-size: 12px;
  }
  .reorder_product_wrapper .preference_section .label,
  .reorder_product_wrapper .qty_section .label {
    font-size: 13px;
  }
}
